# $Revision: 1.5 $, $Date: 2012/03/26 19:44:30 $
# TODO
# - system locale dir
%define		status		stable
%define		pearname	Horde_Cli
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Horde Command Line Interface API
Name:		php-horde-Horde_Cli
Version:	1.0.4
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	18630e80162d0d71a9add8a3ffb693eb
URL:		https://github.com/horde/horde/tree/master/framework/Cli/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Support < 2.0.0
Requires:	php-horde-Horde_Translation < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Horde_Cli:: API for basic command-line functionality/checks

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%doc docs/Horde_Cli/*
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Cli.php
%{php_pear_dir}/Horde/Cli
%{php_pear_dir}/data/Horde_Cli

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-horde-Horde_Cli.spec,v $
Revision 1.5  2012/03/26 19:44:30  glen
- updated to: 1.0.4

Revision 1.4  2011/07/31 19:04:01  glen
- updated to: 1.0.3

Revision 1.3  2011/05/03 05:26:42  glen
- use github url to package, as pear url is not specific

Revision 1.2  2011/04/11 07:44:28  glen
- Horde dir dep

Revision 1.1  2011/04/10 21:38:03  glen
- horde h4 pear packages
